@font-face {
    font-family: "Lekton";
    src: url("lekton.regular.ttf") format("truetype");
}  

body {
    min-height: 1100px;
    background-color: black;
    color: #ffeac7;
    padding-bottom: 24px;
}

text {
    stroke: #ffeac7;
}

* {
    font-family: "Lekton", "Courier New", Courier, monospace;
}

*:focus {outline:none !important}

.csnd-header-container {
    width: 1130px;
    margin: 0 auto;
}

.csnd-header {
    text-align: center;
    margin-right: -92px;
}

.csnd-output-container {
    width: 1130px;
    margin: 0 auto;
}

.csnd-output {
    // background-color: #fcfcfc;
    background-color: black;
    border: 1px solid #ffeac7;
    border-radius: 25px;
    display: inline-block;
    /* left: 50%; */
    /* right: 50%; */
    padding: 6px 12px;
    position: relative;
    margin: 24px 0;
}


.csnd-docs {
    width: 1130px;
    margin: 0 auto;
    margin-top: 12px;
}

.edit-area {
    width: 1130px;
    margin: 0 auto;
    display: flex;
}

.table-len-input {
    border: 1px solid #ffeac7;
    width: 180px;
    margin-bottom: 6px;
    font-size: 16px;
    color: #ffeac7;
    background-color: black;
    padding: 6px;
    padding-left: 12px;
    border-top-color: #1e1d1b;
    border-right-color: #1e1d1b;
    border-bottom-color: #1e1d1b;
    border-left-color: #1e1d1b;
}

.table-len-input:focus {
    border: solid 1px #fcfcfc;
}


textarea{
    width: 600px;
    /* width: auto; */
    border: none;
    border-radius: 20px;
    outline: none;
    padding: 10px;
    font-size: 1.1em;
    color: #ffeac7;
    transition: border 0.5s;
    -webkit-transition: border 0.5s;
    -moz-transition: border 0.5s;
    -o-transition: border 0.5s;
    border: 1px solid #ffeac7;
    /* border: solid 1px #98d4f3;	 */
    -webkit-box-sizing:border-box;
    -moz-box-sizing:border-box;
    box-sizing:border-box;
    background-color: black;
    
}

.syntax-container {
    border: solid 1px #fcfcfc;
    display: inline-block;
    padding: 3px 24px;
    font-size: 16px;
}

textarea:focus{
    border: solid 1px #fcfcfc;
}

textarea{
    height: 100px;	
    resize: none;
    overflow: auto;
    margin-left: 24px;
}

.Dropdown-root {
    margin: auto 0; 
    position: relative;
    /* display: inline-block; */
    width: 200px;
    margin-right: 6px;
}

.Dropdown-control {
    position: relative;
    overflow: hidden;
    background-color: black;
    border: 1px solid #ccc;
    border-radius: 2px;
    box-sizing: border-box;
    /* color: #333; */
    color: rgba(255, 255, 235, 0.8);
    cursor: default;
    outline: none;
    padding: 8px 52px 8px 10px;
    transition: all 200ms ease;
}

.Dropdown-control {
    background-color: #000000;
    border-top-color: #1e1d1b;
    border-right-color: #1e1d1b;
    border-bottom-color: #1e1d1b;
    border-left-color: #1e1d1b;
    color: rgba(255, 255, 255, 0.8);
    outline-color: initial;
}

.Dropdown-control:hover {
    box-shadow: rgba(0, 0, 0, 0.06) 0px 1px 0px;
    /* box-shadow: 0 1px 0 rgba(0, 0, 0, 0.06); */
    background-color: black;
}

.Dropdown-arrow {
    border-color: #999 transparent transparent;
    border-style: solid;
    border-width: 5px 5px 0;
    content: ' ';
    display: block;
    height: 0;
    margin-top: -ceil(2.5);
    position: absolute;
    right: 10px;
    top: 14px;
    width: 0
}

.is-open .Dropdown-arrow {
    border-color: transparent transparent #999;
    border-width: 0 5px 5px;
}

.Dropdown-menu {
    background-color: white;
    border: 1px solid #ccc;
    box-shadow: 0 1px 0 rgba(0, 0, 0, 0.06);
    box-sizing: border-box;
    margin-top: -1px;
    max-height: 200px;
    overflow-y: auto;
    position: absolute;
    top: 100%;
    width: 100%;
    z-index: 1000;
    -webkit-overflow-scrolling: touch;
}

.Dropdown-menu {
    background-color: #000000;
    border-top-color: #1e1d1b;
    border-right-color: #1e1d1b;
    border-bottom-color: #1e1d1b;
    border-left-color: #1e1d1b;
    box-shadow: rgba(0, 0, 0, 0.06) 0px 1px 0px;
}

.Dropdown-menu .Dropdown-group > .Dropdown-title{
    padding: 8px 10px;
    background-color: black;
    font-weight: bold;
    text-transform: capitalize;
}

.Dropdown-option {
    box-sizing: border-box;
    background-color: black;
    color: rgba(255, 255, 235, 0.8);
    /* color: rgba(51, 51, 51, 0.8); */
    cursor: pointer;
    display: block;
    padding: 8px 10px;
}

.Dropdown-option:last-child {
    border-bottom-right-radius: 2px;
    border-bottom-left-radius: 2px;
}

.Dropdown-option:hover {
    background-color: #f2f9fc;
    color: #333;
}

.Dropdown-option.is-selected {
    background-color: black;
    font-weight: bold;
    /* background-color: #f2f9fc; */
    /* color: #333; */
    color: #ffeac7;
}

.Dropdown-noresults {
    box-sizing: border-box;
    color: #ccc;
    cursor: default;
    display: block;
    padding: 8px 10px;
}

.recharts-wrapper {
    margin: 0 auto;
}

.Dropdown-menu .Dropdown-group > .Dropdown-title {
    color: #ffffeb;
}

input[type="checkbox"] {
    transition: 0.5s ease all;
    -moz-transition: 0.5s ease all;
    -webkit-transition: 0.5s ease all;
    border: 1px solid #ffeac7;
    background: black;
    /* @include transition(0.5s, ease, all); */
}

input[type="checkbox"]:checked {
    border: 1px solid rgba(255, 255, 235, 0.8);
    background: #ffeac7;
}

input[type="checkbox"]:after {
    content: '';
    position: relative;
    left: 40%;
    top: 20%;
    width: 15%;
    height: 40%;
    border: solid #fff;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
    display: none;
}

input[type="checkbox"]:hover {
    filter: brightness(90%);
}

#checkbox-container {
    position: absolute;
    left: 800px;
}

footer {
    color: #ffeac7;
    text-decoration: none;
    margin: 0 auto;
    width: 100%;
    margin-top: 24px;
}

footer a {
    display: block;
    text-align: center;
    color: #ffeac7;
    margin-bottom: 6px;;
}
